### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.storedprocess

# Class XMLStream

java.lang.Object
com.sas.services.storedprocess.GenericStream
com.sas.services.storedprocess.XMLStream

All Implemented Interfaces:
  `com.sas.storage.editableproperties.LocalizableProperties`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class XMLStream extends GenericStream
Describes a XMLStream data source or target. For data sources the properties of this object used by the Stored Process service are the fileref name and whether rewinding is allowed; for data targets only the fileref name is used. Other properties are solely for client use.

Since:
  9.2
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sas.services.storedprocess.GenericStream

  `_streamElement`

  ### Fields inherited from interface com.sas.storage.editableproperties.LocalizableProperties

  `PROPERTY_DESCRIPTION, PROPERTY_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getReferenceName()`
  Returns the reference name.
  `String`
  `getReferenceNameSpace()`
  Returns the reference namespace.
  `String`
  `getSchemaURI()`
  Returns the schema URI.
  `boolean`
  `isReferenceTypeForSchemaElement()`
  Determines whether the reference type is for a schema element or schema type.
  `boolean`
  `isSchemaAvailable()`
  The return values determines whether a schema is available to be associated with this XML Stream.
  `boolean`
  `isSchemaToBeEmbeddedInWSDL()`
  Determines whether the schema is to be embedded of referenced in generated WSDL.

  ### Methods inherited from class com.sas.services.storedprocess.GenericStream

  `allowsRewinds, getDescription, getExpectedContentType, getFileref, getLabel, getLocalizableProperties, isSource, setLocalizableProperties, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### isSchemaAvailable

    public boolean isSchemaAvailable()
    The return values determines whether a schema is available to be associated with this XML Stream. If true:
    - Schema details can be obtained from `getSchemaURI()`, `getReferenceNameSpace()`, `getReferenceName()` and `isReferenceTypeForSchemaElement()`.
    - `isSchemaToBeEmbeddedInWSDL()` return a valid value.

Returns:
  the availability of a schema

- ### getSchemaURI

  public String getSchemaURI() throws IllegalStateException
  Returns the schema URI. This method should only be called if `isSchemaAvailable()` returns true.
  Returns:
    the schema URI
  Throws:
    `IllegalStateException` - if called when isSchemaAvailable() returns false

- ### getReferenceNameSpace

  public String getReferenceNameSpace()
  Returns the reference namespace. This method should only be called if `isSchemaAvailable()` returns true.
  Returns:
    the reference namespace
  Throws:
    `IllegalStateException` - if called when isSchemaAvailable() returns false

- ### getReferenceName

  public String getReferenceName()
  Returns the reference name. This method should only be called if `isSchemaAvailable()` returns true.
  Returns:
    the reference name
  Throws:
    `IllegalStateException` - if called when isSchemaAvailable() returns false

- ### isReferenceTypeForSchemaElement

  public boolean isReferenceTypeForSchemaElement()
  Determines whether the reference type is for a schema element or schema type. If true, it is for a schema element; if false for a schema type. This method should only be called if `isSchemaAvailable()` returns true.
  Returns:
    whether the reference type is for a schema element or schema type
  Throws:
    `IllegalStateException` - if called when isSchemaAvailable() returns false

- ### isSchemaToBeEmbeddedInWSDL

  public boolean isSchemaToBeEmbeddedInWSDL()
  Determines whether the schema is to be embedded of referenced in generated WSDL. If true, the schema is embedded; if false, the schema is generated. This method should only be called if `isSchemaAvailable()` returns true.
  Returns:
    whether the reference type is for a schema element or schema type
  Throws:
    `IllegalStateException` - if called when isSchemaAvailable() returns false